<template>
  <layout-cascader
    id="688d2cf1c6cd4dab999a0106e09aec83"
    v-model="modelValue"
    ref="cascaderRef"
    :check-strictly="false"
    :show-all-levels="false"
  />
</template>

<script setup>
import { ref } from "vue";
import { useVModel } from "@vueuse/core";
import LayoutCascader from "@/components/cascader/index.vue";

defineOptions({
  name: "LayoutEconomicType",
});
const props = defineProps({
  modelValue: {
    type: Array,
    required: true,
    default: () => [],
  },
});
const emits = defineEmits(["update:modelValue"]);
const modelValue = useVModel(props, "modelValue", emits);
const cascaderRef = ref(null);
const getCheckedNodes = () => {
  return cascaderRef.value.getCheckedNodes();
};
defineExpose({
  getCheckedNodes,
});
</script>

<style scoped></style>
